#version 3.5;

camera {
  location  <135,2.49,59>
  look_at   <137,11.612,130>
  angle 70
}

sky_sphere {
  pigment {
    gradient y
    color_map {
      [0.0 rgb <0.7,0.8,1.0>]
      [0.7 rgb <0.1,0.2,0.8>]
    }
  }
}
  
light_source {
  <0, 0, 0>            
  color rgb <1, 1, 1> 
  translate <100000, 0, 0>
  rotate y*90 rotate x*30
}

#declare Terra = object {
        height_field {
                png "semiL1.png"
                smooth
                texture {
                        pigment {
                                image_map { png "semiC1.png" map_type 0 interpolate 2 once }
                                rotate x*90
                        }
                        finish { ambient 0.60 }
                }
        }
        scale <257,52,257>
}

object { Terra }

plane { y,2
        texture {
                pigment {
                        color rgb <0.1,0.2,0.8>
                }
                finish {
                        reflection 0.5
                }
        }
}